Subject: Re: bug#7786: 23.2; Encoding of PostScript files

From: Peter Dyballa <[email-masked]>
Date: Wed, 13 Oct 2021 19:35:46 +0200

> Am 13.10.2021 um 18:45 schrieb Eli Zaretskii <[email-masked]>:
> 
>> From: Peter Dyballa <[email-masked]>
>> Date: Wed, 13 Oct 2021 18:23:50 +0200
>> Cc: Eli Zaretskii <[email-masked]>,
>> [email-masked]
>> 
>>>> https://en.wikipedia.org/wiki/PostScript_Latin_1_Encoding
>>>> 
>>>> It shows the Unicode codepoint for each character in the codepage.  Or
>>>> what am I missing?
>>> 
>>> Yes, that's what I suggested using as the source -- somebody would have
>>> to transcribe that into a machine readable file.
>> 
>> Is this OK and usable?
> 
> AFAICT, that's very different from the Wikipedia data.

I created the file ten years ago. Could be I missed later some standardisation by ISO… which the Wikipedia's author knew?

Could be we mix things. My encoding stands for the encoding vector of a PostScript font.

Anyway would it help you to retrieve these files?

stdenc.txt
	#  Name:             Adobe Standard Encoding to Unicode
	#  Unicode version:  2.0
	#  Table version:    0.2
	#  Date:             30 March 1999
	#  
	#  Copyright (c) 1991-1999 Unicode, Inc. All Rights reserved.
	#  
	#  This file is provided as-is by Unicode, Inc. (The Unicode Consortium). No
	#  claims are made as to fitness for any particular purpose. No warranties of
	#  any kind are expressed or implied. The recipient agrees to determine
	#  applicability of information provided. If this file has been provided on
	#  magnetic media by Unicode, Inc., the sole remedy for any claim will be
	#  exchange of defective media within 90 days of receipt.
	#  
	#  Recipient is granted the right to make copies in any form for internal
	#  distribution and to freely use the information supplied in the creation of
	#  products supporting Unicode. Unicode, Inc. specifically excludes the right
	#  to re-distribute this file directly to third parties or other organizations
	#  whether for profit or not.
	#  
	#  Format: 4 tab-delimited fields:
	#
	#    (1) The Unicode value (in hexadecimal)
	#    (2) The Adobe Standard Encoding code point (in hexadecimal)
	#    (3) # Unicode name
	#    (4) # PostScript character name
	#  
	#  General Notes:
	# 
	#    The Unicode values in this table were produced as the result of applying
	#    the algorithm described in the section "Populating a Unicode space" in the
	#    document "Unicode and Glyph Names," at
	#    http://partners.adobe.com/asn/developer/typeforum/unicodegn.html
	#    to the characters encoded in Adobe Standard Encoding. Note that some
	#    Standard Encoding characters, such as "space", are mapped to 2 Unicode
	#    values. Refer to the above document for more details.
	#
	#  Revision History:
	#
	#    [v0.2, 30 March 1999]
	#    Different algorithm to produce Unicode values (see notes above) results in
	#    some character codes being mapped to 2 Unicode values. Updated Unicode
	#    names to Unicode 2.0 names.
	#    
	#    [v0.1, 5 May 1995] First release.
	#
	#  Contact <[email-masked]> with any questions or comments.
	#

symbol.txt
	#
	#  Name:             Adobe Symbol Encoding to Unicode
	#  Unicode version:  2.0
	#  Table version:    0.2
	#  Date:             30 March 1999
	#  
	#  Copyright (c) 1991-1999 Unicode, Inc. All Rights reserved.
	#  
	#  This file is provided as-is by Unicode, Inc. (The Unicode Consortium). No
	#  claims are made as to fitness for any particular purpose. No warranties of
	#  any kind are expressed or implied. The recipient agrees to determine
	#  applicability of information provided. If this file has been provided on
	#  magnetic media by Unicode, Inc., the sole remedy for any claim will be
	#  exchange of defective media within 90 days of receipt.
	#  
	#  Recipient is granted the right to make copies in any form for internal
	#  distribution and to freely use the information supplied in the creation of
	#  products supporting Unicode. Unicode, Inc. specifically excludes the right
	#  to re-distribute this file directly to third parties or other organizations
	#  whether for profit or not.
	#  
	#  Format: 4 tab-delimited fields:
	#
	#    (1) The Unicode value (in hexadecimal)
	#    (2) The Symbol Encoding code point (in hexadecimal)
	#    (3) # Unicode name
	#    (4) # PostScript character name
	#  
	#  General Notes:
	# 
	#    The Unicode values in this table were produced as the result of applying
	#    the algorithm described in the section "Populating a Unicode space" in the
	#    document "Unicode and Glyph Names," at
	#    http://partners.adobe.com/asn/developer/typeforum/unicodegn.html
	#    to the characters in Symbol. Note that some characters, such as "space",
	#    are mapped to 2 Unicode values. 29 characters have assignments in the
	#    Corporate Use Subarea; these are indicated by "(CUS)" in field 4. Refer to
	#    the above document for more details.
	#
	#  Revision History:
	#
	#    [v0.2, 30 March 1999]
	#    Different algorithm to produce Unicode values (see notes above) results in
	#    some character codes being mapped to 2 Unicode values; use of Corporate
	#    Use subarea values; addition of the euro character; changed assignments of
	#    some characters such as the COPYRIGHT SIGNs and RADICAL EXTENDER. Updated
	#    Unicode names to Unicode 2.0 names.
	#
	#    [v0.1, 5 May 1995] First release.
	#
	#  Contact <[email-masked]> with any questions or comments.
	#

	#
	#  Name:             Adobe Zapf Dingbats Encoding to Unicode
	#  Unicode version:  2.0
	#  Table version:    0.2
	#  Date:             30 March 1999
	#  
	#  Copyright (c) 1991-1999 Unicode, Inc. All Rights reserved.
	#  
	#  This file is provided as-is by Unicode, Inc. (The Unicode Consortium). No
	#  claims are made as to fitness for any particular purpose. No warranties of
	#  any kind are expressed or implied. The recipient agrees to determine
	#  applicability of information provided. If this file has been provided on
	#  magnetic media by Unicode, Inc., the sole remedy for any claim will be
	#  exchange of defective media within 90 days of receipt.
	#  
	#  Recipient is granted the right to make copies in any form for internal
	#  distribution and to freely use the information supplied in the creation of
	#  products supporting Unicode. Unicode, Inc. specifically excludes the right
	#  to re-distribute this file directly to third parties or other organizations
	#  whether for profit or not.
	#  
	#  Format: Three tab-delimited fields:
	#
	#    (1) The Unicode value (in hexadecimal)
	#    (2) The Zapf Dingbats Encoding code point (in hexadecimal)
	#    (3) # Unicode 2.0 name
	#    (4) # PostScript character name
	#  
	#  General Notes:
	# 
	#    The Unicode values in this table were produced as the result of
	#    applying the algorithm described in the section "Populating a Unicode
	#    space" in the document "Unicode and Glyph Names," at
	#    http://partners.adobe.com/asn/developer/typeforum/unicodegn.html
	#    to the characters in Zapf Dingbats. Note that some characters, such as
	#    "space", are mapped to 2 Unicode values. 14 characters have assignments in
	#    the Corporate Use Subarea; these are indicated by "(CUS)" in field 4.
	#    Refer to the above document for more details.
	#
	#  Revision History:
	#
	#    [v0.2, 30 March 1999] Different algorithm to produce Unicode values (see
	#    notes above) results in some character codes being mapped to 2 Unicode
	#    values; use of Corporate Use subarea values; included BLACK CIRCLE and
	#    RIGHT HALF BLACK CIRCLE. Updated Unicode names to Unicode 2.0 names.
	#    
	#    [v0.1, 5 May 1995] First release.
	#
	#  Contact <[email-masked]> with any questions or comments.
	#

zdingbat.txt
	#
	#  Name:             Adobe Zapf Dingbats Encoding to Unicode
	#  Unicode version:  2.0
	#  Table version:    0.2
	#  Date:             30 March 1999
	#  
	#  Copyright (c) 1991-1999 Unicode, Inc. All Rights reserved.
	#  
	#  This file is provided as-is by Unicode, Inc. (The Unicode Consortium). No
	#  claims are made as to fitness for any particular purpose. No warranties of
	#  any kind are expressed or implied. The recipient agrees to determine
	#  applicability of information provided. If this file has been provided on
	#  magnetic media by Unicode, Inc., the sole remedy for any claim will be
	#  exchange of defective media within 90 days of receipt.
	#  
	#  Recipient is granted the right to make copies in any form for internal
	#  distribution and to freely use the information supplied in the creation of
	#  products supporting Unicode. Unicode, Inc. specifically excludes the right
	#  to re-distribute this file directly to third parties or other organizations
	#  whether for profit or not.
	#  
	#  Format: Three tab-delimited fields:
	#
	#    (1) The Unicode value (in hexadecimal)
	#    (2) The Zapf Dingbats Encoding code point (in hexadecimal)
	#    (3) # Unicode 2.0 name
	#    (4) # PostScript character name
	#  
	#  General Notes:
	# 
	#    The Unicode values in this table were produced as the result of
	#    applying the algorithm described in the section "Populating a Unicode
	#    space" in the document "Unicode and Glyph Names," at
	#    http://partners.adobe.com/asn/developer/typeforum/unicodegn.html
	#    to the characters in Zapf Dingbats. Note that some characters, such as
	#    "space", are mapped to 2 Unicode values. 14 characters have assignments in
	#    the Corporate Use Subarea; these are indicated by "(CUS)" in field 4.
	#    Refer to the above document for more details.
	#
	#  Revision History:
	#
	#    [v0.2, 30 March 1999] Different algorithm to produce Unicode values (see
	#    notes above) results in some character codes being mapped to 2 Unicode
	#    values; use of Corporate Use subarea values; included BLACK CIRCLE and
	#    RIGHT HALF BLACK CIRCLE. Updated Unicode names to Unicode 2.0 names.
	#    
	#    [v0.1, 5 May 1995] First release.
	#
	#  Contact <[email-masked]> with any questions or comments.
	#

These were just the file headers.

--
Greetings

  Pete

"To infinity and beyond!"
				– Captain Buzz Lightyear